Bug 68518 - Incorrect warnings from perl -T?
Incorrect warnings from perl -T?
Status: CLOSED RAWHIDE
Product: Red Hat Public Beta
Classification: Retired
Component: perl (Show other bugs)
limbo
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Chip Turner
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-10 16:11 EDT by Owen Taylor
Modified: 2007-04-18 12:44 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-07-10 16:11:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Owen Taylor 2002-07-10 16:11:22 EDT
The following code snippet, when run with perl -T produces:

 Use of tainted arguments in exec is deprecated at testsuid.pl line 8.

As far as I can see, the arguments to exec are not tainted.

This is with perl-5.8.0-30. (Similar code worked fine with perl-5.6)

====
#!/usr/bin/perl -w

$ENV{PATH} = "/usr/bin:/bin";
$ENV{ENV} = "";

@cmd = qw(/bin/echo hi);

exec { $cmd[0] } @cmd;
====
Comment 1 Chip Turner 2002-07-15 01:02:26 EDT
fixed in rawhide (-33)

Note You need to log in before you can comment on or make changes to this bug.